## cairotextoverlay cairotextoverlay — Adds text strings on top of a video buffer |

## Properties

gint | deltax | Write
gint | deltay | Write
gchar * | font-desc | Write
gchar * | halign | Write
gboolean | shaded-background | Write
gchar * | text | Write
gchar * | valign | Write
gint | xpad | Write
gint | ypad | Write
gboolean | silent | Write

## Types and Values

struct | GstCairoTextOverlay

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstCairoTextOverlay

## Description

## Synopsis

### Element Information

plugin | cairo
author | David Schleef <ds@schleef.org>
class | Filter/Editor/Video

### Element Pads

name | text_sink
direction | sink
presence | always
details | text/plain

name | video_sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCairoTextOverlay

    struct GstCairoTextOverlay;

## Property Details

### The `“deltax”` property

      “deltax”                   gint

Shift X position to the left or to the right. Unit is pixels.

Flags: Write

Default value: 0

### The `“deltay”` property

      “deltay”                   gint

Shift Y position up or down. Unit is pixels.

Flags: Write

Default value: 0

### The `“font-desc”` property

      “font-desc”                gchar *

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Flags: Write

Default value: ""

### The `“halign”` property

      “halign”                   gchar *

Horizontal alignment of the text. Can be either 'left', 'right', or 'center'.

Flags: Write

Default value: "center"

### The `“shaded-background”` property

      “shaded-background”        gboolean

Whether to shade the background under the text area.

Flags: Write

Default value: FALSE

### The `“text”` property

      “text”                     gchar *

Text to be display.

Flags: Write

Default value: ""

### The `“valign”` property

      “valign”                   gchar *

Vertical alignment of the text. Can be either 'baseline', 'bottom', or 'top'.

Flags: Write

Default value: "baseline"

### The `“xpad”` property

      “xpad”                     gint

Horizontal paddding when using left/right alignment.

Flags: Write

Default value: 25

### The `“ypad”` property

      “ypad”                     gint

Vertical padding when using top/bottom alignment.

Flags: Write

Default value: 25

### The `“silent”` property

      “silent”                   gboolean

Whether to render the text string.

Flags: Write

Default value: FALSE